#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
export PYBUILD_SYSTEM=cmake

# for tests
export ROS_IP=127.0.0.1

ifneq (,$(filter $(DEB_BUILD_ARCH),amd64))
  TESTS=--before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests" --after-test "catkin_test_results {build_dir}"
else
  TESTS=--before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests || true"
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- ${TESTS}
